summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2019-10-10 09:49:39 +0200
committerJeroen Roovers <jer@gentoo.org>2019-10-10 09:55:37 +0200
commit249a76e82566d2597d8a5f5c1445f49bce6e54e4 (patch)
tree08b6f73f661033bad449436e2839e20232a70507
parentnet-misc/olsrd: ${ED%/} unnecessary slash strip (diff)
downloadgentoo-249a76e82566d2597d8a5f5c1445f49bce6e54e4.tar.gz
gentoo-249a76e82566d2597d8a5f5c1445f49bce6e54e4.tar.bz2
gentoo-249a76e82566d2597d8a5f5c1445f49bce6e54e4.zip
sci-calculators/units: USE flag 'units_cur' uses reserved underscore character
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
-rw-r--r--sci-calculators/units/metadata.xml2
-rw-r--r--sci-calculators/units/units-2.16.ebuild10
-rw-r--r--sci-calculators/units/units-2.18.ebuild10
-rw-r--r--sci-calculators/units/units-2.19.ebuild17
4 files changed, 20 insertions, 19 deletions
diff --git a/sci-calculators/units/metadata.xml b/sci-calculators/units/metadata.xml
index 9aa83b1ef40..f0a40a93849 100644
--- a/sci-calculators/units/metadata.xml
+++ b/sci-calculators/units/metadata.xml
@@ -6,6 +6,6 @@
<name>Jeroen Roovers</name>
</maintainer>
<use>
-<flag name="units_cur">Install the units_cur python script that updates currencies</flag>
+<flag name="units--cur">Install the units_cur python script that updates currencies</flag>
</use>
</pkgmetadata>
diff --git a/sci-calculators/units/units-2.16.ebuild b/sci-calculators/units/units-2.16.ebuild
index 0d30fa56ad0..f72ff8ee12f 100644
--- a/sci-calculators/units/units-2.16.ebuild
+++ b/sci-calculators/units/units-2.16.ebuild
@@ -12,12 +12,12 @@ SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
LICENSE="FDL-1.3 GPL-3"
SLOT="0"
KEYWORDS="alpha amd64 ~arm hppa ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="+units_cur"
-REQUIRED_USE="units_cur? ( ${PYTHON_REQUIRED_USE} )"
+IUSE="+units--cur"
+REQUIRED_USE="units--cur? ( ${PYTHON_REQUIRED_USE} )"
RDEPEND="
sys-libs/readline:=
- units_cur? (
+ units--cur? (
${PYTHON_DEPS}
dev-python/future[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
@@ -28,7 +28,7 @@ DEPEND="
"
pkg_setup() {
- use units_cur && python-single-r1_pkg_setup
+ use units--cur && python-single-r1_pkg_setup
}
src_configure() {
@@ -47,7 +47,7 @@ src_install() {
# we're intentionally delaying this since 'make install' would
# get confused if we shove 'units_cur' there, and there is no real
# need to add more complexity for it
- if use units_cur; then
+ if use units--cur; then
sed \
-e "/^outfile/s|'.*'|'/usr/share/units/currency.units'|g" \
-e 's|^#!|&/usr/bin/python|g' \
diff --git a/sci-calculators/units/units-2.18.ebuild b/sci-calculators/units/units-2.18.ebuild
index 4d61f6f6676..3df5a8826c2 100644
--- a/sci-calculators/units/units-2.18.ebuild
+++ b/sci-calculators/units/units-2.18.ebuild
@@ -12,12 +12,12 @@ SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
LICENSE="FDL-1.3 GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="+units_cur"
-REQUIRED_USE="units_cur? ( ${PYTHON_REQUIRED_USE} )"
+IUSE="+units--cur"
+REQUIRED_USE="units--cur? ( ${PYTHON_REQUIRED_USE} )"
RDEPEND="
sys-libs/readline:=
- units_cur? (
+ units--cur? (
${PYTHON_DEPS}
dev-python/future[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
@@ -31,7 +31,7 @@ PATCHES=(
)
pkg_setup() {
- use units_cur && python-single-r1_pkg_setup
+ use units--cur && python-single-r1_pkg_setup
}
src_configure() {
@@ -52,7 +52,7 @@ src_install() {
# we're intentionally delaying this since 'make install' would
# get confused if we shove 'units_cur' there, and there is no real
# need to add more complexity for it
- if use units_cur; then
+ if use units--cur; then
sed \
-e "/^outfile/s|'.*'|'/usr/share/units/currency.units'|g" \
-e 's|^#!|&/usr/bin/python|g' \
diff --git a/sci-calculators/units/units-2.19.ebuild b/sci-calculators/units/units-2.19.ebuild
index 9e35768509d..5bbc862db24 100644
--- a/sci-calculators/units/units-2.19.ebuild
+++ b/sci-calculators/units/units-2.19.ebuild
@@ -12,12 +12,12 @@ SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
LICENSE="FDL-1.3 GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-IUSE="+units_cur"
-REQUIRED_USE="units_cur? ( ${PYTHON_REQUIRED_USE} )"
+IUSE="+units--cur"
+REQUIRED_USE="units--cur? ( ${PYTHON_REQUIRED_USE} )"
RDEPEND="
sys-libs/readline:=
- units_cur? (
+ units--cur? (
${PYTHON_DEPS}
dev-python/future[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
@@ -29,9 +29,12 @@ DEPEND="
PATCHES=(
"${FILESDIR}"/${PN}-2.17-network-sandbox.patch
)
+DOCS=(
+ ChangeLog NEWS README
+)
pkg_setup() {
- use units_cur && python-single-r1_pkg_setup
+ use units--cur && python-single-r1_pkg_setup
}
src_configure() {
@@ -45,14 +48,12 @@ src_compile() {
}
src_install() {
- emake DESTDIR="${D}" install
-
- dodoc ChangeLog NEWS README
+ default
# we're intentionally delaying this since 'make install' would
# get confused if we shove 'units_cur' there, and there is no real
# need to add more complexity for it
- if use units_cur; then
+ if use units--cur; then
sed \
-e "/^outfile/s|'.*'|'/usr/share/units/currency.units'|g" \
-e 's|^#!|&/usr/bin/python|g' \